Package org.eclipse.graphiti.ui.internal

# Class GraphitiUIPlugin

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.ui.plugin.AbstractUIPlugin
org.eclipse.graphiti.ui.internal.GraphitiUIPlugin

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class GraphitiUIPlugin extends org.eclipse.ui.plugin.AbstractUIPlugin
The main-class of the plugin. It is mostly used to access the 'environment' of this plugin.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`GraphitiUIPlugin()`
Creates the Plugin and caches its default instance.

## Method Summary

Modifier and Type
Method
Description
`static GraphitiUIPlugin`
`getDefault()`
Gets the default-instance of this plugin.
`void`
`start(org.osgi.framework.BundleContext context)`
This method is called upon plug-in activation.
`void`
`stop(org.osgi.framework.BundleContext context)`
This method is called when the plug-in is stopped.

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID

See Also:
  - Constant Field Values

## Constructor Details

### GraphitiUIPlugin

public GraphitiUIPlugin()
Creates the Plugin and caches its default instance.

## Method Details

### start

public void start(org.osgi.framework.BundleContext context) throws Exception
This method is called upon plug-in activation.

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Parameters:
  `context` - the context
Throws:
  `Exception` - the exception

### stop

public void stop(org.osgi.framework.BundleContext context) throws Exception
This method is called when the plug-in is stopped.

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Parameters:
  `context` - the context
Throws:
  `Exception` - the exception

### getDefault

public static GraphitiUIPlugin getDefault()
Gets the default-instance of this plugin. Actually the default-instance should always be the only instance -> Singleton.

Returns:
  the default